- [HTTP request](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/get#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/get#body.response_body)
- [Try it!](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/get#try-it)

Retrieves detailed information about a user that has access to a domain. Returns NOT_FOUND if the user does not exist.

### HTTP request

`GET https://gmailpostmastertools.googleapis.com/v2/{name=domains/*/users/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the user to retrieve. Format: `domains/{domain}/users/{user}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users#User`.